local t = LoadFallbackB();

t[#t+1] = Def.Quad{
	InitCommand=cmd(FullScreen;);
	OnCommand=cmd(diffuse,color("1,0,0,0"););
	ShowDangerAllMessageCommand=cmd(stoptweening;accelerate,0.3;diffusealpha,0.25;diffuseramp;effectclock,'beatnooffset';effectcolor1,color("1,0,0,0");effectcolor2,color("1,0,0,0.85"););
	HideDangerAllMessageCommand=cmd(stoptweening;stopeffect;accelerate,0.3;diffusealpha,0);
};

-- I hate theme-based custom scoring so much
if( not GAMESTATE:IsCourseMode() ) then
	t[#t+1] = Def.Actor{
		JudgmentMessageCommand = function(self, params)
			Scoring[GetUserPref("UserPrefScoringMode")](params, 
				STATSMAN:GetCurStageStats():GetPlayerStageStats(params.Player))
		end;
	};
end;

return t;
